package com.xhkjedu.suser.vo.assess;

import lombok.Data;

/**
 * @Description：对接三方登录
 * @Author: WN
 * @Date: 2024/1/5 10:30:41
 **/
@Data
public class SignParams {
    private String loginType;//1账号，2手机号，3身份证号

    private String loginName;//约定类型对应的值

    private String successURL;//successURL认证通过后，跳转的第三方平台URL

    private String timestamp;//时间戳(发起请求的时间毫秒值)

    private String thirdSystemId;//第三方系统id

    private String sign;//数字签名


    //登录终端设备
    private String ultype;

    //版本号
    private String versionnum;

    //系统版本（android、鸿蒙、荣耀系统等）
    private String systemversion;


    //登录终端品牌（华为、小米、荣耀、vivo、oppo等）
    private String ultypeband;

    //登录终端型号（华为mate9、小米13等）
    private String ultypemodel;

    //操作系统位数
    private String systembit;
}
